#!/bin/sh
#PBS -l nodes=2:ppn=16
#PBS -N AMP2_run

cd $PBS_O_WORKDIR
cat $PBS_NODEFILE > nodefile
NPROC=`wc -l < $PBS_NODEFILE`

### Location of vasp run file ###
VASPRUN=/home/user/vasp/vasp_std
# If you don't have non-collinear version of VASP, set below option with a blank.
VASPNCL=/home/user/vasp/vasp_ncl

# Location of VASP pseudopotentail files
GGA=/home/user/vasp/pot/PBE52	# Location for PBE
LDA=/home/user/vasp/pot/LDA52	# Location for LDA
POT=$GGA:$LDA

### Calculation setting ###
NPAR=2		# Band parallelization
KPAR=2          # k-point parallelization; Number of node is recommended.
CUTOFF=1	# 1 - CUTOFF energy test / 0 - Use default ENCUT
RELAX=1		# 1 - Structural relaxation / 0 - Turn off
BAND=1		# 1 - Band- related calculation / 0 - Turn off
HSE=1		# > 1 - HSE calculation (# of max ionic steps) / 0 - Turn off
DIEL=1		# 1 - Calculate dielectric constant (LDA) / 0 - Turn off
EFFM=2		# 1 - hole, 2 - electron, 3 - both effective mass / 0 - Turn off

### Gnuplot binary location ###
gnuplot=/home/tools/gnuplot_local/bin/gnuplot

python main.py $NPROC $VASPRUN:$VASPNCL $NPAR $KPAR $POT $gnuplot $CUTOFF $RELAX $BAND $HSE $DIEL $EFFM
